import { ref, watch } from 'vue';
import { getSlotsProps } from '@gx-design-vue/pro-utils';
export function useSlotsProps(slotsName, slots, props) {
    const node = ref(getSlotsProps(slotsName, slots, props));
    // @ts-ignore
    watch(slotsName.map(key => () => props[key]), () => {
        node.value = getSlotsProps(slotsName, slots, props);
    }, { deep: true });
    watch(slotsName.map(key => () => { var _a; return (_a = slots[key]) === null || _a === void 0 ? void 0 : _a.call(slots); }), () => {
        node.value = getSlotsProps(slotsName, slots, props);
    }, { deep: true });
    return node;
}
