"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSlotsProps = useSlotsProps;
const vue_1 = require("vue");
const pro_utils_1 = require("@gx-design-vue/pro-utils");
function useSlotsProps(slotsName, slots, props) {
    const node = (0, vue_1.ref)((0, pro_utils_1.getSlotsProps)(slotsName, slots, props));
    // @ts-ignore
    (0, vue_1.watch)(slotsName.map(key => () => props[key]), () => {
        node.value = (0, pro_utils_1.getSlotsProps)(slotsName, slots, props);
    }, { deep: true });
    (0, vue_1.watch)(slotsName.map(key => () => { var _a; return (_a = slots[key]) === null || _a === void 0 ? void 0 : _a.call(slots); }), () => {
        node.value = (0, pro_utils_1.getSlotsProps)(slotsName, slots, props);
    }, { deep: true });
    return node;
}
